@media print {
  body {
    visibility: hidden;
  }
  #table_wrapper {
    visibility: visible;
    position: absolute;
    left: 0;
    top: 0;
    tr{
        font-size:11px!important;
    }
    #col_Question{
        width:30%!important;
    }
  }
  h2{
      margin-top:.8em!important;
  }
  h2, h3, p{
      margin-bottom:1em!important;
  }
  
  td{
    vertical-align: top !important;
    font-size:12px!important;
  }
  
  .dtrg-group{
    text-align:left;
    font-size:12px!important;
  }
  
  .summaryTable{
      margin-top:0!important;
      td, th{
      padding:.5em!important;
      font-size:12px!important;
      text-align:left!important;
    }
  }
}


.dtrg-group{
  th.total,th.avg{
      text-align:right;
  }   
} 

.dataTables_length, .dataTables_info{
    font-size:.9em;
}

.dataTables_wrapper{
    padding-top:0;
}

table.dataTable thead th, table.dataTable td{
      text-align:center;
  }   

table.dataTable td.tLeft, table.dataTable thead th.tLeft{
      text-align:left;
  } 
  
#table_loading {
  text-align: center;
  color: var(--bg--grey-med);
  padding: 2em 0;
}

#loadingIcon {
  padding-bottom: 1em;
}

#loadingText {
  font-weight: 700;
}

#filter_loading{
    padding-top:.8em;
    #loadingIcon, #loadingText{
        display:inline-block;
        padding-bottom:0;
    }
}

#table_wrapper h3{
    margin-bottom:.2em;
}

#search_keywords_wrapper {
  #search_keywords {
    background-color: #fff;
    color: #1A1A1A;
    font-size: 18px;
    line-height: 26px;
    font-weight: 400;
    border: none;
    width: 100%;
    height: 100%;
    border-radius: 36px;
    margin: 0;
    padding-left: 76px;
    padding-right: 76px;
    z-index: 2;
  }

  .btn.search,
  .btn.clear-search {
    position: absolute;
    top: 0;
    background: transparent !important;
    height: 100%;
    padding: 0;
    margin: 0;
    min-width: 68px; // safari
    max-width: 75px; // safari
    border: none;
    border-width: 0;
    border-radius: 0;
    z-index: 2;

    &:hover {
      background: transparent;
    }

    &:focus {
      outline: 5px auto -webkit-focus-ring-color;
      outline-offset: -2px;
    }
  }

  .btn.search {
    left: 8px;
  }

  .btn.clear-search {
    right: 8px;
  }

  .icon {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    color: $charcoal;
    transform: scale(0.5);
  }
}

.filterIcon {
  display: none;
}

.btnFilter:active,
.btnFilter.active {
  .filterIcon {
    display: inline-block;
    margin-left: 1rem;
  }
}

#search_keywords .sq-form-field {
  border-radius: 40px;

}

#search_keywords {
  border-radius: 36px;
  width: 100%;
  height: 100%;
  font-size: 1.8rem;
  font-weight: 400;
  line-height: 2.6rem;
  padding: 1.4rem;
  padding-left: 2rem;
  padding-right: 2rem;
}

.btnFilter {
  margin: 0 10px 10px 0;
}

.btnFilter {
  color: #ffffff;
  background-color: #007d98;
  border: solid 3px #007d98;
  font-weight: 600;
}

.btnFilter:hover {
  background-color: #135867;
  border: solid 3px #135867;
  text-decoration: none;
}

.btnFilter:focus {
  background-color: #135867;
  border: solid 3px white;
  outline-color: #135867;
  text-decoration: none;
}

.btnFilter:active,
.btnFilter.active {
  background-color: #003c4b;
  border: solid 3px #003c4b;
  text-decoration: none;
}

.dt-search {
  display: none;
}

.dt-length {
  text-align: left;
}

#studyresources_filter {
  /* display:none; */
}

.dt-paging-button {
  outline-color: var(--color--teal, #007d98);
}

.dt-paging-button.current,
.dt-paging-button.current:focus,
.dt-paging-button.current:hover {
  background: var(--theme-neutral-grey-base) !important;
  border: 1px solid var(--theme-neutral-grey-base) !important;
  border-radius: 2;
}

.dt-paging-button.disabled,
.dt-paging-button.disabled:hover,
.dt-paging-button.disabled:active {
  color: #666 !important;
  border: 0 !important;
  border-radius: 2;
  background: transparent !important;
}

.dt-paging-button:hover,
.dt-paging-button:focus,
.dt-paging-button:active {
  background: var(--color--teal, #007d98) !important;
  border: 1px solid var(--color--teal, #007d98) !important;
  border-radius: 2;
}

.dt-paging-button.next:focus,
.dt-paging-button.last:focus {
  color: #666 !important;
}

table.dataTable tbody td.dt-dd {
  padding: 2em 2em 1em 2em;
}

< !-- TEST CSS-->table.dataTable thead th,
table.dataTable thead td,
table.dataTable tbody td {
  padding: 1.3em 1.4em;
  border-top: none;
  border: none;

}

table.dataTable thead th {
  padding: 1em 1em;
}

table.dataTable .header {
  font-weight: 800;
  padding-right: 1.4em;
}


.dt-control {
  min-width: 80px;
}

table.dataTable, table.summaryTable {
  padding-top: 0;
  margin-top: 2em;
  border-radius: 15px;
  border-collapse: collapse;
  border: 1px solid rgba(0, 0, 0, 0.1);

}

table.dataTable.no-footer {
  border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}

#table_wrapper {
  background-color: var(--bg--white);
}

table.dataTable.row-border tbody th,
table.dataTable.row-border tbody td,
table.dataTable.display tbody th,
table.dataTable.display tbody td {
  border: none;
  /*border-top: 1px solid rgba(0, 0, 0, 0.1);*/
}

table.dataTable thead th,
table.dataTable thead td {
  padding: 10px;
  border-bottom: none;
}

.dataTables_length,
.dataTables_info {
  padding: 1em;
}

.dt-hasChild.shown {
  border: 2px solid rgba(0, 0, 0, 0.14);
  border-bottom: none;
  border-spacing: 0;
}

tr.dt-hasChild.shown:hover {
  box-shadow: none !important;
}

.dt-dd:hover {
  box-shadow: none !important;
}

.dt-dd {
  border: 2px solid rgba(0, 0, 0, 0.14);
  border-top: none;
  border-spacing: 0;

}

.odd.dt-hasChild.shown td {
  box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.035);
}


td {
  min-width: 50px;
}

table.dataTable thead>tr>td.sorting_asc_disabled:before,
table.dataTable thead>tr>td.sorting_asc_disabled:after,
table.dataTable thead>tr>td.sorting_desc_disabled:before,
table.dataTable thead>tr>td.sorting_desc_disabled:after {
  opacity: 0.5;
}

@media only screen and (max-width: 600px) {
  .description {
    display: none;
  }

  .dt-control>button {
    display: none;
  }

  table.dataTable td.dt-control {
    text-align: right;
  }

  .dataTables_length {
    display: none;
  }

  .dataTables_wrapper .dataTables_info,
  .dataTables_wrapper .dataTables_paginate {
    float: left;
  }

  table.dataTable thead>tr>th.sorting:after,
  table.dataTable thead>tr>th.sorting_asc:after,
  table.dataTable thead>tr>th.sorting_desc:after,
  table.dataTable thead>tr>th.sorting_asc_disabled:after,
  table.dataTable thead>tr>th.sorting_desc_disabled:after,
  table.dataTable thead>tr>td.sorting:after,
  table.dataTable thead>tr>td.sorting_asc:after,
  table.dataTable thead>tr>td.sorting_desc:after,
  table.dataTable thead>tr>td.sorting_asc_disabled:after,
  table.dataTable thead>tr>td.sorting_desc_disabled:after {
    right: -87px;
  }

  table.dataTable thead>tr>th.sorting:before,
  table.dataTable thead>tr>th.sorting_asc:before,
  table.dataTable thead>tr>th.sorting_desc:before,
  table.dataTable thead>tr>th.sorting_asc_disabled:before,
  table.dataTable thead>tr>th.sorting_desc_disabled:before,
  table.dataTable thead>tr>td.sorting:before,
  table.dataTable thead>tr>td.sorting_asc:before,
  table.dataTable thead>tr>td.sorting_desc:before,
  table.dataTable thead>tr>td.sorting_asc_disabled:before,
  table.dataTable thead>tr>td.sorting_desc_disabled:before {
    right: -87px;

  }
}

/* ROW GROUP CSS */
table.dataTable tr.dtrg-group th{background-color:rgba(0, 0, 0, 0.1);}table.dataTable tr.dtrg-group.dtrg-level-0 th{font-weight:bold}table.dataTable tr.dtrg-group.dtrg-level-1 th,table.dataTable tr.dtrg-group.dtrg-level-2 th,table.dataTable tr.dtrg-group.dtrg-level-3 th,table.dataTable tr.dtrg-group.dtrg-level-4 th,table.dataTable tr.dtrg-group.dtrg-level-5 th{background-color:rgba(0, 0, 0, 0.05);padding-top:.25em;padding-bottom:.25em;padding-left:2em;font-size:.9em}table.dataTable tr.dtrg-group.dtrg-level-2 th{background-color:rgba(0, 0, 0, 0.01);padding-left:2.5em}table.dataTable tr.dtrg-group.dtrg-level-3 th{background-color:rgba(0, 0, 0, 0.01);padding-left:3em}table.dataTable tr.dtrg-group.dtrg-level-4 th{background-color:rgba(0, 0, 0, 0.01);padding-left:3.5em}table.dataTable tr.dtrg-group.dtrg-level-5 th{background-color:rgba(0, 0, 0, 0.01);padding-left:4em}html.dark table.dataTable tr.dtrg-group th{background-color:rgba(255, 255, 255, 0.1)}html.dark table.dataTable tr.dtrg-group.dtrg-level-1 th{background-color:rgba(255, 255, 255, 0.05)}html.dark table.dataTable tr.dtrg-group.dtrg-level-2 th,html.dark table.dataTable tr.dtrg-group.dtrg-level-3 th,html.dark table.dataTable tr.dtrg-group.dtrg-level-4 th,html.dark table.dataTable tr.dtrg-group.dtrg-level-5 th{background-color:rgba(255, 255, 255, 0.01)}




table.dataTable tr.dtrg-level-1 th.dt-control.icon:before {
  height: 1em;
  width: 1em;
  display: inline-block;
  color: white;
  border-radius: 1em;
  box-sizing: content-box;
  text-align: center;
  text-indent: 0 !important;
  font-family: "Courier New", Courier, monospace;
  line-height: 1em;
  content: "-";
  font-weight: 600;
  font-size: 1.4em;
  background-color: #363637;
  margin: .2em .5em .2em 0;
}

table.dataTable tr.collapsed.dtrg-level-1 th.dt-control.icon:before {
  content: "+";
  background-color: #363637;
}

table.dataTable tr..dtrg-level-1 th.dt-control.icon:before:hover {
  background-color: #0b7161;
    
}

table.dataTable td{
    vertical-align:top;
}

